NEWDolby Interactivity APIs are now the Dolby.io Communications APIs Learn More >
X

SDK Support

Support for Dolby.io Communications Client SDKs

The Dolby.io Communications Client SDKs support is available in two service level agreements. SDKs are supported for six months, regardless of the support tier. Signed enterprise contracts with Dolby have extended support for older versions of the Dolby.io Communications Client SDKs for up to 12 months. Customers are encouraged to update the SDK in their applications at least once every six months.

The following table lists Dolby.io Communications Client SDKs versions and their respective support dates:

SDK VersionRelease DateEnd of Support (+6 Months)Enterprise End of Support (+12 Months)
3.2.02021-07-082022-01-082022-07-08
3.1.02021-03-012021-09-012022-03-01
3.0.02020-10-302021-04-302021-10-30
2.4.02020-06-222020-12-222021-06-22
2.3.02020-05-132020-11-132021-05-13
2.2.02020-03-302020-09-302021-03-30
2.1.02020-03-022020-09-022021-03-02

📘

Note:

Patch releases are supported 12 months from the date of the previous major or minor release. For example, 3.0.0 and 3.0.x releases are supported until 2021-10-30, and 3.1.0 and 3.1.x releases are supported until 2021-03-01.

Support for UXKit libraries

UXKit libraries are open-sourced projects, and are not officially supported. For any issues found in the UXKit, we recommend that you create an issue in the GitHub repository. The following is a list of current UXKit libraries:

Supported client platforms

For more information on supported browsers and client platforms, see: Supported Environments.

Additional information

For additional information on Dolby.io Communications Client SDKs releases and new features, see:


Did this page help you?